commit 05dbde3bfb91b5a643b68d00609a1aab1a6f47a0
Author: Christophe Lyon <christophe.lyon@foss.st.com>
Date:   Mon Aug 23 11:47:14 2021

    arm: Fix __arm_vctp16q return type in arm_mve.h
    
    __arm_vctp16q actually returns mve_pred16_t rather than int64_t.
    
    2021-08-23  Christophe Lyon  <christophe.lyon@foss.st.com>
    
            gcc/
            * config/arm/arm_mve.h: Fix __arm_vctp16q return type.
    
    (cherry picked from commit ac3bcc813f26e6dc4c3b037d9d5c5a84f7f62cf4)

diff --git a/gcc/config/arm/arm_mve.h b/gcc/config/arm/arm_mve.h
index 182b2aac6da..d28e3c8cb2e 100644
--- a/gcc/config/arm/arm_mve.h
+++ b/gcc/config/arm/arm_mve.h
@@ -3524,7 +3524,7 @@ __arm_vaddlvq_u32 (uint32x4_t __a)
   return __builtin_mve_vaddlvq_uv4si (__a);
 }
 
-__extension__ extern __inline int64_t
+__extension__ extern __inline mve_pred16_t
 __attribute__ ((__always_inline__, __gnu_inline__, __artificial__))
 __arm_vctp16q (uint32_t __a)
 {

